package com.ora.jsp.tags.generic;

import javax.servlet.jsp.tagext.*;

/**
 * This class provides information about the variable created by the
 * LoopTag to the JSP container at translation-time.
 *
 * @author Hans Bergsten, Gefion software <hans@gefionsoftware.com>
 * @version 1.0
 */
public class LoopTagExtraInfo extends TagExtraInfo {
    public VariableInfo[] getVariableInfo(TagData data) {
        return new VariableInfo[]
        {
            new VariableInfo(data.getAttributeString("loopId"),
                data.getAttributeString("className"),
                true,
                VariableInfo.NESTED)
        };
    }
}


