<%@ page language="java" contentType="text/html" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<ora:useLocaleBundle id="locale" bundleName="poll" 
  supportedLangs="en, sv, de" />

<html>
  <head>
    <title>
      <ora:getLocalText name="locale" key="poll.title" />
    </title>
  </head>
  <body bgcolor="blue">
    <h1>
      <font color="red">
        <ora:getLocalText name="locale" key="poll.question" />
      </font>
    </h1>
      <font color="white">
        Today, new technologies and business ideas are introduced 
        at a very quick pace. Products that looked like given profit
        makers yesterday are today's commodities, with multiple
        implementations available for free as Open Source. A business
        plan based on banner ad income from a popular web site, or 
        just adding ".com" to the company name, doesn't excite the 
        venture capitalists the way it did just a few months ago.
        <p>
        In a business environment that moves this fast, how long
        development cycles do you dare to plan with, to not risk
        that by the time the product or service is ready, it's
        also obsolete?
      </font>
  </body>
</html>